"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.publicKeySeed = exports.variableSeed = exports.literalSeed = exports.programSeed = void 0;
const nodes_1 = require("../nodes");
const utils_1 = require("./utils");
const programSeed = () => ({ kind: 'programId' });
exports.programSeed = programSeed;
const literalSeed = (value) => ({
    kind: 'literal',
    value,
});
exports.literalSeed = literalSeed;
const variableSeed = (name, type, docs = []) => ({
    kind: 'variable',
    name: (0, utils_1.mainCase)(name),
    type,
    docs: Array.isArray(docs) ? docs : [docs],
});
exports.variableSeed = variableSeed;
const publicKeySeed = (name, docs = []) => (0, exports.variableSeed)(name, (0, nodes_1.publicKeyTypeNode)(), docs);
exports.publicKeySeed = publicKeySeed;
//# sourceMappingURL=AccountSeed.js.map