import { TypeNode } from '../nodes';
export type AccountSeed = {
    kind: 'programId';
} | {
    kind: 'literal';
    value: string;
} | {
    kind: 'variable';
    name: string;
    type: TypeNode;
    docs: string[];
};
export declare const programSeed: () => AccountSeed;
export declare const literalSeed: (value: string) => AccountSeed;
export declare const variableSeed: (name: string, type: TypeNode, docs?: string | string[]) => AccountSeed;
export declare const publicKeySeed: (name: string, docs?: string | string[]) => AccountSeed;
